### org.jfree.layouting.input.style.keys.page

# Class PageStyleKeys

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.page.PageStyleKeys`

`public class PageStyleKeys`
`extends java.lang.Object`

Creation-Date: 30.11.2005, 17:11:54

Author:
  Thomas Morgner

  ## Field Summary

  `static StyleKey`

  `HORIZONTAL_PAGE_SPAN`
    A dimension ({length}{2}) that defines how often the page is repeated horizontally and vertically if the content does not fit.

  `static StyleKey`

  `IMAGE_ORIENTATION`

  `static StyleKey`

  `LOGICAL_SIZE`
    The logical Page Size

  `static StyleKey`

  `ORPHANS`

  `static StyleKey`

  `PAGE`

  `static StyleKey`

  `PAGE_BREAK_AFTER`

  `static StyleKey`

  `PAGE_BREAK_BEFORE`

  `static StyleKey`

  `PAGE_BREAK_INSIDE`

  `static StyleKey`

  `PAGE_POLICY`

  `static StyleKey`

  `SIZE`
    The physical Page Size

  `static StyleKey`

  `VERTICAL_PAGE_SPAN`

  `static StyleKey`

  `WIDOWS`

## Field Details

### HORIZONTAL_PAGE_SPAN

    public static final StyleKey HORIZONTAL_PAGE_SPAN

> A dimension ({length}{2}) that defines how often the page is repeated horizontally and vertically if the content does not fit.

### IMAGE_ORIENTATION

    public static final StyleKey IMAGE_ORIENTATION

### LOGICAL_SIZE

    public static final StyleKey LOGICAL_SIZE

> The logical Page Size

### ORPHANS

    public static final StyleKey ORPHANS

### PAGE

    public static final StyleKey PAGE

### PAGE_BREAK_AFTER

    public static final StyleKey PAGE_BREAK_AFTER

### PAGE_BREAK_BEFORE

    public static final StyleKey PAGE_BREAK_BEFORE

### PAGE_BREAK_INSIDE

    public static final StyleKey PAGE_BREAK_INSIDE

### PAGE_POLICY

    public static final StyleKey PAGE_POLICY

### SIZE

    public static final StyleKey SIZE

> The physical Page Size

### VERTICAL_PAGE_SPAN

    public static final StyleKey VERTICAL_PAGE_SPAN

### WIDOWS

    public static final StyleKey WIDOWS